Author Topic: Bringing up text window  (Read 3126 times)

0 Members and 1 Guest are viewing this topic.

caddesk2000

  • Guest
Bringing up text window
« on: February 14, 2006, 10:33:31 AM »
I am very new to AutoLISP.  This is a simple line I'm using to view values of different group codes.  Question:  What function can I use to bring up my text window so I can view an objects entire list instead of just what appears on the three lines of my command line?  I tried inserting (textscr) before closing and it brings up my text screen ok, but the program basically bombs, not showing me any of my information.  Does anyone have a suggestion?


(defun c:inf ()
(entget (car (entsel))
)
)

TIA,
Sam Cutbirth

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
Re: Bringing up text window
« Reply #1 on: February 14, 2006, 10:39:58 AM »
From within VLisp :
(vl-cmdf "textscr")

at the command Line TEXTSCR

added :
or within ALisp (command "TEXTSCR")
kdub, kdub_nz in other timelines.
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.

T.Willey

  • Needs a day job
  • Posts: 5251
Re: Bringing up text window
« Reply #2 on: February 14, 2006, 11:11:26 AM »
I think it is just
(textscr)
and that will pop up the text window and then
(graphscr)
to bring it back down.
Tim

I don't want to ' end-up ', I want to ' become '. - Me

Please think about donating if this post helped you.

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
Re: Bringing up text window
« Reply #3 on: February 14, 2006, 11:25:24 AM »

Yes Tim, that too :-)   ... It was not seeing the woods for the trees situation..

This will display what you want ..

(defun c:inf (/ ent) (setq ent (entget (car (entsel)))) (textscr) ent)

Have a search .. MP has posted a version that formats the output so it is eminently readable ..
kdub, kdub_nz in other timelines.
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.

T.Willey

  • Needs a day job
  • Posts: 5251
Re: Bringing up text window
« Reply #4 on: February 14, 2006, 11:30:14 AM »
Yes Tim, that too :-)   ... It was not seeing the woods for the trees situation..
I hate when that happens.

Here is an old one that I still use.
Code: [Select]
(defun c:Elist()
(setq ent (entget(car(entsel"Select entity: "))))
(setq ct 0)
(textpage)
(princ "\nEntget of entity selected: ")
(repeat (length ent)
 (print (nth ct ent))
 (setq ct(1+ ct))
)
(princ)
)
Tim

I don't want to ' end-up ', I want to ' become '. - Me

Please think about donating if this post helped you.

Kerry

  • Mesozoic relic
  • Seagull
  • Posts: 11654
  • class keyThumper<T>:ILazy<T>
« Last Edit: February 14, 2006, 11:32:45 AM by CAB »
kdub, kdub_nz in other timelines.
Perfection is not optional.
Everything will work just as you expect it to, unless your expectations are incorrect.
Discipline: None at all.

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: Bringing up text window
« Reply #6 on: February 14, 2006, 11:35:25 AM »
Just fixed your links Kerry, not sure why they wern't working.

This one has been around.
Code: [Select]
(defun c:dump (/ ent obj)
  (while (setq ent (entsel "\nSelect entity to get object data: "))
    (setq obj (vlax-ename->vla-object (car ent)))
    (vlax-dump-object obj t)
    (vlax-release-object obj)
  )
  (princ)
)
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

T.Willey

  • Needs a day job
  • Posts: 5251
Re: Bringing up text window
« Reply #7 on: February 14, 2006, 11:39:02 AM »
Here is one I use when programming.  Just supply the variable of an object.
Code: [Select]
(defun Dump (VlaObject)
(vlax-dump-object VlaObject t)
)
Tim

I don't want to ' end-up ', I want to ' become '. - Me

Please think about donating if this post helped you.

caddesk2000

  • Guest
Re: Bringing up text window
« Reply #8 on: February 15, 2006, 07:37:02 AM »
Thank you all for your replies.  Have a great day.
Sam Cutbirth